> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Mount volume

> Mounts volume storage by adding the client to an allowed list



## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples post /storage/volumes/{id}/mount
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /storage/volumes/{id}/mount:
    post:
      tags:
        - Storage
      summary: Mount volume
      description: Mounts volume storage by adding the client to an allowed list
      operationId: post-storage-volumes-mount
      parameters:
        - name: id
          in: path
          required: true
          description: Volume storage ID
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - volumes
                    attributes:
                      type: object
                      properties:
                        nqn:
                          type: string
                          description: >-
                            NVMe Qualified Name (NQN) of the client/server that
                            will access the volume storage. Format:
                            nqn.YYYY-MM.domain:identifier (e.g.,
                            "nqn.2024-01.com.example:server01"). This uniquely
                            identifies the NVMe client and must be configured on
                            the client server.
                          example: nqn.2024-01.com.example:server01
                      required:
                        - nqn
                  required:
                    - type
                    - attributes
              required:
                - data
        required: true
      responses:
        '204':
          description: No Content
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            import latitudesh_python_sdk
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                latitudesh.storage.post_storage_volumes_mount(id="<id>", data={
                    "type": latitudesh_python_sdk.PostStorageVolumesMountType.VOLUMES,
                    "attributes": {
                        "nqn": "nqn.2024-01.com.example:server01",
                    },
                })

                # Use the SDK ...
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"github.com/latitudesh/latitudesh-go-sdk/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Storage.PostStorageVolumesMount(ctx, \"<id>\", operations.PostStorageVolumesMountRequestBody{\n        Data: operations.PostStorageVolumesMountData{\n            Type: operations.PostStorageVolumesMountTypeVolumes,\n            Attributes: operations.PostStorageVolumesMountAttributes{\n                Nqn: \"nqn.2024-01.com.example:server01\",\n            },\n        },\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              await latitudesh.storage.postStorageVolumesMount({
                id: "<id>",
                requestBody: {
                  data: {
                    type: "volumes",
                    attributes: {
                      nqn: "nqn.2024-01.com.example:server01",
                    },
                  },
                },
              });


            }

            run();
components:
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````